CentOS4下如何将php4升级到php5

时间 : 10-11-11 栏目 : lamp环境 作者 : 老薛 评论 : 0 点击 : 906 次

CentOS 4下面的php版本比较低,不适合现在的开发,需要php5。原本打算先删除php4然后重新安装php5,但是使用rpm -e php 发现,依赖关系太多,删除比较麻烦,所以转为升级php.
当然,如同任意的linux下软件都存在如下方式的升级
1.rpm 升级,下载齐全所有的rpm升级包便可进行。
2.不管原先的php4重新源安装一个php5,详情可见http://blog.linuxsky.net/2993/viewspace_2433.html
3.最为简单的方式,使用yum更新,参见CentOS Plus repo readme

-------------------------
php-5.x.x-x.centos4
-------------------------
This is php-5 for CentOS-4. It replaces the php-4.3.9 that is currently
in CentOS-4.  In order to upgrade a current php-4 install, you must
remove php-domxml first and then do:

yum --enablerepo=centosplus upgrade php*

or to do and install, use this command:

yum --enablerepo=centosplus --exclude=php-domxml install php*

(or install individually the files that you need)

除非注明,文章均为( 老薛 )原创,转载请保留链接: http://www.bdkyr.com/lamp/2225.html

CentOS4下如何将php4升级到php5:等您坐沙发呢!

发表评论

5 + 2 = ?


博主微信号,很高兴为您提供帮助

随便看看

为您推荐

0